Subject: RE: [Tsvwg] TCP Question: Reuse of TCB's in time-wait state:

From: "sanjay kaniyar" <[email-masked]>
Date: Tue, 23 Oct 2001 10:42:49 -0700

Thanks Lars.

I appreciate your thoughts about sharing the state across TCBs/PCBs, which I 
will think over. But I was looking at a slightly different aspect.

My objective is primarily to figure out whehter I can move a TCB in 
TIME-WAIT state back to SYN-SENT for active open, just like it is moved back 
to SYN-RCVD for passive open (after doing similar checks). If you take 
another pass at my earlier question, it would be clear.

What is your opinion about this?

Thanks,
Sanjay

>From: "Lars Eggert" <[email-masked]>
>Reply-To: <[email-masked]>
>To: "sanjay kaniyar" <[email-masked]>
>CC: <[email-masked]>
>Subject: RE: [Tsvwg] TCP Question: Reuse of TCB's in time-wait state:
>Date: Tue, 23 Oct 2001 09:20:04 -0700
>
>Sanjay,
>
> > In some operating systems (as well as in Richard Steven's TCP/IP
> > illustrated), I have come across ways to reuse a TCB in
> > time-wait state.
>
>I assume this is to reuse that PCB's cwnd and ttl information?
>
>Sharing PCB information between connections has been proposed earlier,
>starting with T/TCP (RFCs 1379+1644), which also allows you to bypass the
>3-way handshake for repeated connections. Joe Touch differentiates between
>temporal sharing of PCB information (repeated connections) and spatial
>sharing (multiple, parallel connections) in RFC 2140. Him and me had a
>paper in CCR in which we investigate temporal and spatial sharing further,
>and present some simulation results (available from the URL in my sig).
>UCB's congestion manager is a similar idea, based on their earlier work on
>TCP-INT (INFOCOM 98), but seems to focus mostly on spatial sharing
>(parallel connections).
>
> > My concern here is to understand if there is any reason why
> > this should not
> > be done. I would very much appreciate suggestions/responses
> > which (i) Do not
> > question the validity of the first scenario, because I am looking at
> > altering that and (ii) Do not debate the usefulness of the
> > second (or first)
> > scenario which I would say is subjective at best.
>
>I think temporally sharing PCB state can be a good idea, if done right.
>The key issue is that simply reusing old PCB information can lead to
>bursts, either because of slow-start-restart-like conditions, or simply
>because the network path has changed since you last updated the PCB. Some
>sort of gradual mechanism to ramp up to the old cwnd is needed (we used
>John Heidemann's "pacing" mechanism for the simulations in the CCR paper).
>
>Lars
>
>PS: Your conditions (i) and (ii) may prevent you from getting some useful
>feedback...
>--
>Lars Eggert <[email-masked]>               Information Sciences Institute
>http://www.isi.edu/larse/              University of Southern California
><< smime.p7s >>

_________________________________________________________________
Get your FREE download of MSN Explorer at http://explorer.msn.com/intl.asp

_______________________________________________
tsvwg mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/tsvwg

---

From: "sanjay kaniyar" <[email-masked]>
Date: Wed, 24 Oct 2001 10:55:40 -0700

I agree, it can be guessed.

But that issue can be addressed by following RFC 1948 or (along with)some 
other scheme which makes it pretty much unpredictable.

Besides, the issue is the same whether the TW-TCB is reused on ther server 
or on the client. In one case, the client can be impersonated and in the 
other, the server.

Sanjay.

>From: "Brian F. G. Bidulock" <[email-masked]>
>Reply-To: [email-masked]
>To: sanjay kaniyar <[email-masked]>
>CC: [email-masked]
>Subject: Re: [Tsvwg] TCP Question: Reuse of TCB's in time-wait state:
>Date: Wed, 24 Oct 2001 05:18:44 -0500
>
>Sanjay,
>
>One reason might be security: it should not be probable that a new
>ISN is related to an old one, as it increases an attacker's ability
>to guess ISNs.  Adding 128k is fairly determinate compared to the
>entropy approaches normally used to generate ISNs for new connections.
>
>--brian
>
>On Mon, 22 Oct 2001, sanjay kaniyar wrote:
>
> > My concern here is to understnad if there is any reason why this should 
>not
> > be done.
>
>--
>Brian F. G. Bidulock
>[email-masked]
>http://www.openss7.org/